Index: trunk/info/info/alkisn/alkisfshist.php
===================================================================
--- trunk/info/info/alkisn/alkisfshist.php	(revision 400)
+++ trunk/info/info/alkisn/alkisfshist.php	(revision 402)
@@ -11,4 +11,5 @@
 	2017-10-17 Deutsches Datumsformat fÃŒr Zeitpunkt der Entstehung
 	2018-03-16 NULL-Werte in gemeinde und kreis in ax_historischesflurstueck berÃŒcksichtigen
+	2018-04-23 &nodebug
 */
 
@@ -54,5 +55,5 @@
 	if (!$res) {echo "\n<p class='err'>Fehler bei Gemarkung.</p>";}
 	$zgmk=0;
-	while($row = pg_fetch_array($res)) { // eigentlich nur EINE
+	while($row = pg_fetch_assoc($res)) { // eigentlich nur EINE
 		$gmkg=$row["bezeichnung"];
 		$zgmk++;
@@ -84,5 +85,5 @@
 	}
 	$zv=0;
-	while($rowv = pg_fetch_array($resv)) {
+	while($rowv = pg_fetch_assoc($resv)) {
 		$ftyp=$rowv["ftyp"];
 		$gmlv=$rowv["gml_id"];
@@ -102,10 +103,6 @@
 }
 
-// START //
-
 session_start();
-
-$showkey="n"; // Var. aus Parameter initalisieren
-
+$showkey="n"; $nodebug=""; // Var. aus Parameter initalisieren
 $cntget = extract($_GET); // alle Parameter in Variable umwandeln
 
@@ -125,10 +122,10 @@
 if (!preg_match('#^[j|n]{0,1}$#', $showkey)) {die ("Eingabefehler showkey");}
 if ($showkey == "j") {$showkey=true;} else {$showkey=false;} // "j"/"n" als boolean umwandeln, ist praktischer abzufragen, wird oft gebraucht
+if (!preg_match('#^j{0,1}$#', $nodebug)) {die("Eingabefehler nodebug");}
 
 require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {require_once($mapbender);}
 include("alkisfkt.php");
-
-?>
+echo <<<END
 <!doctype html>
 <html lang="de">
@@ -141,5 +138,9 @@
 </head>
 <body>
-<?php
+END;
+// Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
+// Manuell an die URL anfÃŒgen, wirkt nur temporÃ€r und wird nicht in Links weiter gereicht.
+if ($nodebug == "j") {$debug=0;} 
+
 $con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkisfshist.php'");
 if (!$con) echo "\n<p class='err'>Fehler beim Verbinden der DB</p>";
@@ -182,5 +183,5 @@
 	$resu = pg_prepare("", $sqlu);
 	$resu = pg_execute("", $v);
-	if ($rowu = pg_fetch_array($resu)) {
+	if ($rowu = pg_fetch_assoc($resu)) {
 		$ftyp=$rowu["ftyp"];
 		$gmkgnr=$rowu["gemarkungsnummer"];
@@ -236,8 +237,8 @@
 echo "\n<h2><img src='ico/".$ico."' width='16' height='16' alt=''> Flurst&uuml;ck Historie</h2>";
 
-echo "\n<table class='outer'>\n<tr>\n\t<td>"; // linke Seite
+echo "\n<table class='outer'>\n<tr>\n\t<td>";
 	// darin Tabelle Kennzeichen
 	echo "\n\t<table class='".$cls."' title='Flurst&uuml;ckskennzeichen'>\n\t<tr>"
-		."\n\t\t<td class='head'>Gmkg</td>\n\t\t<td class='head'>Flur</td>\n\t\t<td class='head'>Flurst-Nr.</td>\n\t</tr>"
+		."\n\t\t<td class='head'>Gemarkung</td>\n\t\t<td class='head'>Flur</td>\n\t\t<td class='head'>Flurst-Nr.</td>\n\t</tr>"
 		."\n\t<tr>\n\t\t<td title='Gemarkung'>";
 		if ($showkey) {echo "<span class='key'>".$gmkgnr."</span><br>";}
@@ -246,5 +247,5 @@
 		."\n\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>\n\t</tr>"
 	."\n\t</table>"
-."\n\t</td>\n\t<td>"; // rechte Seite
+."\n\t</td>\n\t<td>";
 	// FS-Daten 2 Spalten
 	echo "\n\t<table class='fsd'>"
@@ -311,5 +312,5 @@
 if ($debug > 1) {
 	$z=1;
-	while($rowu = pg_fetch_array($resu)) {
+	while($rowu = pg_fetch_assoc($resu)) {
 		$ftyp=$rowu["ftyp"];
 		echo "<p class='dbg'>Mehr als EIN Eintrag gefunden: '".$ftyp."' (".$z.")</p>";
Index: trunk/info/info/alkisn/alkishaus.php
===================================================================
--- trunk/info/info/alkisn/alkishaus.php	(revision 400)
+++ trunk/info/info/alkisn/alkishaus.php	(revision 402)
@@ -10,4 +10,5 @@
 	2017-06-09 Tool-Tip GebÃ€udefunktion, ErklÃ€rung 2 getrennte p.Styles
 	2017-10-09 Sauber filtern auf endet IS NULL
+	2018-04-23 &nodebug
 
 	ToDo:
@@ -22,6 +23,5 @@
 */
 session_start();
-
-$allfld = "n"; $showkey="n"; // Var. aus Parameter initalisieren
+$allfld = "n"; $showkey="n"; $nodebug=""; // Var. aus Parameter initalisieren
 $cntget = extract($_GET); // Parameter in Variable umwandeln
 
@@ -31,12 +31,12 @@
 if (!preg_match('#^[j|n]{0,1}$#', $showkey)) {die ("Eingabefehler showkey");}
 if ($showkey == "j") {$showkey=true;} else {$showkey=false;}
-
 if (!preg_match('#^[j|n]{0,1}$#', $allfld)) {die ("Eingabefehler allfld");}
 if ($allfld == "j") {$allefelder=true;} else {$allefelder=false;}
+if (!preg_match('#^j{0,1}$#', $nodebug)) {die("Eingabefehler nodebug");}
 
 require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {require_once($mapbender);}
 include("alkisfkt.php");
-?>
+echo <<<END
 <!doctype html>
 <html lang="de">
@@ -50,5 +50,8 @@
 </head>
 <body>
-<?php
+END;
+// Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
+// Manuell an die URL anfÃŒgen, wirkt nur temporÃ€r und wird nicht in Links weiter gereicht.
+if ($nodebug == "j") {$debug=0;} 
 
 $con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkishaus.php'");
@@ -98,5 +101,5 @@
 $gebnr = 0;
 
-while($rowg = pg_fetch_array($resg)) { // Schleife, kann aber nur EIN Haus sein.
+while($rowg = pg_fetch_assoc($resg)) { // Schleife, kann aber nur EIN Haus sein.
 	$gebnr++;
 	echo "\n<table class='geb'>"
@@ -183,5 +186,5 @@
 	}
 	$zhsnr=0;
-	while($rowl = pg_fetch_array($resl)) { // LOOP: Lagezeilen
+	while($rowl = pg_fetch_assoc($resl)) { // LOOP: Lagezeilen
 		$zhsnr++;
 		$ltyp=$rowl["ltyp"]; // Lagezeilen-Typ
@@ -329,5 +332,5 @@
 				}
 				$zw=0;
-				while($roww = pg_fetch_array($resw)) { // LOOP: w.Funktion
+				while($roww = pg_fetch_assoc($resw)) { // LOOP: w.Funktion
 					if ($zw > 0) {echo "<br>";}
 					if ($showkey) {echo "<span class='key'>".$roww["k"]."</span>&nbsp;";}
Index: trunk/info/info/alkisn/alkisinlayausk.php
===================================================================
--- trunk/info/info/alkisn/alkisinlayausk.php	(revision 400)
+++ trunk/info/info/alkisn/alkisinlayausk.php	(revision 402)
@@ -16,7 +16,7 @@
 	2017-10-09 Sauber filtern auf endet IS NULL
 	2017-12-20 Fehlerkorrektur: Link StraÃe ohne gml_id, Bessere Title fÃŒr Links, Icon an Lage.
+	2018-04-23 FÃŒr GB-Teil Function benutzen.
 */
 session_start();
-
 $cntget = extract($_GET); // Parameter in Variable umwandeln
 
@@ -38,9 +38,9 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Flurstueck.ico">
 	<title>ALKIS-Auskunft</title>
-	<script type="text/javascript">
-	function imFenster(dieURL) {
-		var link = encodeURI(dieURL);
-		window.open(link,'','left=10,top=10,width=680,height=800,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
-	}
+	<script>
+		function imFenster(dieURL) {
+			var link = encodeURI(dieURL);
+			window.open(link,'','left=10,top=10,width=750,height=840,resizable=yes,menubar=no,toolbar=no,location=no,status=no,scrollbars=yes');
+		}
 	</script>
 </head>
@@ -51,8 +51,7 @@
 
 // *** F L U R S T U E C K ***
-$sql ="SELECT f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, g.gemarkungsnummer, g.bezeichnung, f.regierungsbezirk, f.kreis, f.gemeinde
+$sql ="SELECT f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, g.gemarkungsnummer, g.bezeichnung, f.regierungsbezirk, f.kreis, f.gemeinde, f.istgebucht
 FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer 
-WHERE f.gml_id= $1 AND f.endet IS NULL AND g.endet IS NULL ;";
-// Weiter joinen: g.stelle -> ax_dienststelle "Katasteramt"
+WHERE f.gml_id= $1 AND f.endet IS NULL AND g.endet IS NULL;";
 $v = array($gmlid);
 $res = pg_prepare("", $sql);
@@ -63,5 +62,5 @@
 }
 
-if ($row = pg_fetch_array($res)) {
+if ($row = pg_fetch_assoc($res)) {
 	$gemkname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8");
 	$gmkgnr=$row["gemarkungsnummer"];
@@ -75,4 +74,5 @@
 	$fskrs=$row["kreis"];
 	$fsgem=$row["gemeinde"];
+	$gml_buchungsstelle=$row["istgebucht"];
 } else {
 	echo "\n<p class='err'>Kein Treffer fuer gml_id=".$gmlid."</p>";
@@ -93,35 +93,33 @@
 }
 
-echo "\n<h2><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Flurst&uuml;ck - &Uuml;bersicht</h2>";
-
-echo "\n<table class='outer'>\n<tr>\n<td>"
-	."\n\t<table class='kennzfs' title='Flurst&uuml;ckskennzeichen'>\n\t<tr>"
-	."\n\t\t<td class='head'>Gmkg</td>\n\t\t<td class='head'>Flur</td>\n\t\t<td class='head'>Flurst-Nr.</td>\n\t</tr>"
-	."\n\t<tr>\n\t\t<td title='Gemarkung'>".$gemkname."</td>"
-	."\n\t\t<td title='Flurnummer'>".$flurnummer."</td>"
-	."\n\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>\n\t</tr>"
-	."\n\t</table>"
-."\n</td>\n<td>"
-."\n\t<p class='nwlink'>weitere Auskunft:<br>";
-
+//echo "\n<h2><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Flurst&uuml;ck - &Uuml;bersicht</h2>";
+echo "\n<table class='outer'>"
+."\n\t<tr>"
+	."\n\t\t<td class='ll'><img src='ico/Flurstueck.png' width='16' height='16' alt=''> Kennzeichen:</td>"
+		."\n\t\t<td>"
+		."\n\t\t\t<table class='kennzfs' title='Flurst&uuml;ckskennzeichen'>\n\t\t\t\t<tr>"
+			."\n\t\t\t\t\t<td class='head'>Gmkg</td>\n\t\t\t\t\t<td class='head'>Flur</td>\n\t\t\t\t\t<td class='head'>Flurst-Nr.</td>\n\t\t\t\t</tr>"
+			."\n\t\t\t\t<tr>\n\t\t\t\t\t<td title='Gemarkung'>".$gemkname."</td>"
+			."\n\t\t\t\t\t<td title='Flurnummer'>".$flurnummer."</td>"
+			."\n\t\t\t\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>\n\t\t\t\t</tr>"
+		."\n\t\t\t</table>"
+	."\n\t\t</td>\n\t\t<td>"
+	."\n\t\t\t<p class='nwlink'>weitere Auskunft:<br>";
 // FlurstÃŒcksnachweis (mit EigentÃŒmer)
-echo "\n\t\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j\")' "
+echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisfsnw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."&amp;eig=j\")' "
 	."title='Flurst&uuml;cksnachweis'>Flurst&uuml;ck&nbsp;"
 	."<img src='ico/Flurstueck_Link.png' width='16' height='16' alt=''>"
 ."</a><br>";
-
 // FS-Historie
-echo "\n\t\t<a href='javascript:imFenster(\"alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
+echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisfshist.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
 	."title='Vorg&auml;nger des Flurst&uuml;cks'>Historie&nbsp;"
 	."<img src='ico/Flurstueck_Historisch.png' width='16' height='16' alt=''>"
 ."</a><br>";
-
 // Gebaeude-NW zum FS
-echo "\n\t\t<a href='javascript:imFenster(\"alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
+echo "\n\t\t\t\t<a href='javascript:imFenster(\"alkisgebaeudenw.php?gkz=".$gkz."&amp;gmlid=".$gmlid."\")' "
 	."title='Geb&auml;udenachweis'>Geb&auml;ude&nbsp;"
 	."<img src='ico/Haus.png' width='16' height='16' alt=''>"
 ."</a>";
-
-echo "\n\t</p>\n</td>";
+echo "\n\t\t\t</p>\n\t\t</td>\n\t</tr>";
 pg_free_result($res);
 
@@ -132,5 +130,4 @@
 WHERE f.gml_id= $1 AND f.endet IS NULL AND l.endet IS NULL AND s.endet IS NULL 
 ORDER BY s.bezeichnung, l.hausnummer;";
-
 $v=array($gmlid); // id FS
 $res=pg_prepare("", $sql);
@@ -142,5 +139,5 @@
 $j=0;
 $kgmlalt='';
-while($row = pg_fetch_array($res)) {
+while($row = pg_fetch_assoc($res)) {
 	$sname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
 	if (substr($sname, strlen($sname) -3, 3) == 'weg') { // Versuch fuer korrekten Satzbau
@@ -150,22 +147,19 @@
 	}
 	$hsnr=$row["hausnummer"];
-
-	// linke Spalte
-	echo "\n<tr>\n\t\n\t<td class='lr'><img src='ico/Lage_mit_Haus.png' width='16' height='16' alt='MIT'>&nbsp;".$sname."&nbsp;".$hsnr."</td>";
-
-	// rechte Spalte
-	echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+	echo "\n\t<tr>"
+		."\n\t\t<td class='ll'><img src='ico/Lage_mit_Haus.png' width='16' height='16' alt='MIT'> Lage:</td>"
+		."\n\t\t<td class='lr'>".$sname."&nbsp;".$hsnr."</td>"
+		."\n\t\t<td>\n\t\t\t<p class='nwlink noprint'>";
 	$kgml=$row["kgml"]; // Wiederholung vermeiden
-
 	if ($kgml != $kgmlalt) { // NEUE Strasse vor Lage
 		$kgmlalt=$kgml; // Katalog GML-ID
-		echo "\n\t\t\t<a title='Flurst&uuml;cke mit oder ohne Hausnummer".$slink."' "
+		echo "\n\t\t\t\t<a title='Flurst&uuml;cke mit oder ohne Hausnummer".$slink."' "
 		."href='javascript:imFenster(\"alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$kgml."\")'>Stra&szlig;e "
 		."<img src='ico/Strassen.png' width='16' height='16' alt='STRA'></a>";
 	}
-	echo "\n\t\t\t<a title='Flurst&uuml;cke und Geb&auml;ude mit Hausnummer ".$hsnr."' "
+	echo "\n\t\t\t\t<a title='Flurst&uuml;cke und Geb&auml;ude mit Hausnummer ".$hsnr."' "
 		."href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."\")'>Lage "
 		."<img src='ico/Lage_mit_Haus.png' width='16' height='16' alt='HAUS'></a>&nbsp;"
-	."\n\t\t</p>\n\t</td>\n</tr>";
+	."\n\t\t\t</p>\n\t\t</td>\n\t</tr>";
 	$j++;
 }
@@ -177,5 +171,4 @@
 	."LEFT JOIN ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde AND l.lage=s.lage "
 	."WHERE f.gml_id= $1 AND f.endet IS NULL AND l.endet IS NULL AND s.endet IS NULL ORDER BY s.bezeichnung;";
-
 $v=array($gmlid);
 $res=pg_prepare("", $sql);
@@ -186,5 +179,5 @@
 }
 $kgmlalt='';
-while($row = pg_fetch_array($res)) {
+while($row = pg_fetch_assoc($res)) {
 	$sname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
 
@@ -195,19 +188,16 @@
 	}
 
-
 	$gewann=htmlentities($row["unverschluesselt"], ENT_QUOTES, "UTF-8");
-	echo "\n<tr>";
-
-	// linke Spalte
+	echo "\n\t<tr>";
 	if ($sname != "") { // Typ=Strasse
 		$ico="Lage_an_Strasse.png";
-		echo "\n\t<td class='lr' title='An Stra&szlig;e aber ohne Hausnummer'><img src='ico/".$ico."' width='16' height='16' alt='OHNE'> ".$sname."&nbsp;</td>";
+		echo "\n\t\t<td class='ll'><img src='ico/".$ico."' width='16' height='16' alt='OHNE'> Stra&szlig;e:</td>";
+		echo "\n\t\t<td class='lr' title='An Stra&szlig;e aber ohne Hausnummer'>".$sname."&nbsp;</td>";
 	} else {
 		$ico="Lage_Gewanne.png";
-		echo "\n\t<td class='lr' title='Gewanne'><img src='ico/".$ico."' width='16' height='16' alt='Gewanne'> ".$gewann."&nbsp;</td>";
-	}
-
-	// rechte Spalte
-	echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+		echo "\n\t\t<td class='ll'><img src='ico/".$ico."' width='16' height='16' alt='Gewanne'> Gewanne:</td>";
+		echo "\n\t\t<td class='lr' title='Gewanne'>".$gewann."&nbsp;</td>";
+	}
+	echo "\n\t\t<td>\n\t\t\t<p class='nwlink noprint'>";
 	if ($sname != "") { // Typ=Strasse
 		$kgml=$row["kgml"]; // Wiederholung vermeiden
@@ -226,84 +216,29 @@
 		."href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$row["gml_id"]."\")'>Gewanne "
 		."<img src='ico/".$ico."' width='16' height='16' alt='Gewanne'></a>&nbsp;"
-		."\n\t\t</p>\n\t</td>\n</tr>";
+		."\n\t\t</p>\n\t\t</td>\n\t</tr>";
 	}
 }
 pg_free_result($res);
-
-echo "\n</table>";
-
-// Flurstuecksflaeche
+echo "\n</table>\n";
 echo "\n<p class='fsd'>Flurst&uuml;cksfl&auml;che: <b>".$flae."</b></p>";
 
-// *** G R U N D B U C H ***
-echo "\n<h2><img src='ico/Grundbuch_zu.png' width='16' height='16' alt='GB'> Grundbuch</h2>";
-
-// FS >istgebucht> GS >istbestandteilvon> GB.
-$sql ="SELECT b.gml_id, b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung as blatt, b.blattart, 
-s.gml_id AS s_gml, s.buchungsart, s.laufendenummer, s.zaehler, s.nenner, z.bezeichnung, wa.v AS blattartv, wb.v AS bart 
-FROM ax_flurstueck f 
-JOIN ax_buchungsstelle s ON f.istgebucht=s.gml_id 
-JOIN ax_buchungsblatt b ON s.istbestandteilvon=b.gml_id
-LEFT JOIN ax_buchungsblattbezirk z ON z.land=b.land AND z.bezirk=b.bezirk 
-LEFT JOIN alkis_wertearten wa ON cast(b.blattart AS character varying)=wa.k AND wa.element='ax_buchungsblatt' AND wa.bezeichnung='blattart'
-LEFT JOIN alkis_wertearten wb ON cast(s.buchungsart AS character varying)=wb.k AND wb.element='ax_buchungsstelle' AND wb.bezeichnung='buchungsart'
-WHERE f.gml_id= $1 AND f.endet IS NULL AND s.endet IS NULL AND b.endet IS NULL AND z.endet IS NULL 
-ORDER BY b.bezirk, b.buchungsblattnummermitbuchstabenerweiterung, s.laufendenummer;";
-
-$v=array($gmlid);
-$resg=pg_prepare("", $sql);
-$resg=pg_execute("", $v);
-if (!$resg) {
-	echo "\n<p class='err'>Keine Buchungen.</p>";
-	if ($debug > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities($sql, ENT_QUOTES, "UTF-8")."<br>$1 = gml_id = '".$gmlid."'</p>";}
-}
-while($rowg = pg_fetch_array($resg)) {
-	$beznam=$rowg["bezeichnung"];
-	echo "\n<table class='outer'>\n<tr>\n<td>";
-		$blattkey=$rowg["blattart"]; // Key
-		$blattart=$rowg["blattartv"]; // Value
-
-		if ($blattkey == 1000) {
-			echo "\n\t<table class='kennzgb' title='Bestandskennzeichen'>";
+// B U C H U N G S S T E L L E N  zum FS
+$bartgrp="";	// Buchungsart
+$barttypgrp="";	// Buchungsart Typ
+if ($gml_buchungsstelle == '') {echo "\n<p class='err'>Keine Buchungstelle zum Flurst&uuml;ck gefunden.</p>";}
+echo "\n\n<table class='outer'>";
+	$gezeigt = buchung_anzg($gml_buchungsstelle, 'j', true, ""); // direkte Buchung anzeigen wenn nicht fiktiv, Eigent. ja, mit JS "imFenster"
+	$anzber = ber_bs_zaehl($gml_buchungsstelle); // Berechtigte Buchungen, nur Anzahl
+	if ($anzber > 0 ) {
+		if ($gezeigt) {
+			echo "\n\t<tr>\n\t\t<td colspan='4'><span class='wichtig'>Berechtigte Buchungen siehe Flurst&uuml;cksnachweis.</span></td>\n\t</tr>";
 		} else {
-			echo "\n\t<table class='kennzgbf' title='Bestandskennzeichen'>"; // dotted
-		}
-			echo "\n\t<tr>"
-				."\n\t\t<td class='head'>Bezirk</td>"
-				."\n\t\t<td class='head'>".$blattart."</td>"
-				."\n\t\t<td class='head'>Lfd-Nr,</td>"
-				."\n\t\t<td class='head'>Buchungsart</td>"
-			."\n\t</tr>\n\t<tr>"
-				."\n\t\t<td title='Grundbuchbezirk'>".$beznam."</td>"
-				."\n\t\t<td title='Grundbuch-Blatt'><span class='wichtig'>".$rowg["blatt"]."</span></td>"
-				."\n\t\t<td title='Bestandsverzeichnis-Nummer (BVNR, Grundst&uuml;ck)'>".$rowg["laufendenummer"]."</td>"
-				."\n\t\t<td title='Buchungsart'>".$rowg["bart"]."</td>"
-			."\n\t</tr>"
-		."\n\t</table>";
-
-		if ($rowg["zaehler"] <> "") {
-			echo "\n<p class='ant'>".$rowg["zaehler"]."/".$rowg["nenner"]."&nbsp;Anteil am Flurst&uuml;ck</p>";
-		}
-		echo "\n</td>\n<td>"
-		."\n\t<p class='nwlink'>weitere Auskunft:<br>"
-			."\n\t\t<a href='javascript:imFenster(\"alkisbestnw.php?gkz=".$gkz."&amp;gmlid=".$rowg[0]."\")' "
-				."title='Grundbuchnachweis'>".$blattart." <img src='ico/GBBlatt_link.png' width='16' height='16' alt=''>"
-			."</a>"
-		."\n\t</p>"
-	."\n</td>\n</tr>\n</table>";
-
-	// E I G E N T U E M E R
-	if ($blattkey == 5000) { // kein Eigent. bei fiktiv. Blatt
-		echo "\n<p>Keine Angaben zum Eigentum bei fiktivem Blatt</p>\n"
-		."\n<p>Siehe weitere Grundbuchbl&auml;tter mit Rechten an dem fiktiven Blatt.</p>";
-	} else { // Ausgabe Name in Function
-		$n = eigentuemer($rowg["gml_id"], false, "imFenster"); // ohne Adressen
-		if ($n == 0) { // keine NamensNr, kein Eigentuemer
-			echo "\n<p class='err'>Keine Eigent&uuml;mer gefunden.</p>"
-			."\n<p class='err'>Bezirk ".$rowg["bezirk"]." Blatt ".$rowg["blatt"]." Blattart ".$blattkey." (".$blattart.")</p>";
-		}
-	}
-}
-pg_free_result($resg);
+			$nochmehr = ber_bs_anzg($gml_buchungsstelle, "j", ""); // wenigstens eine Buchg. zeigen
+			if ($nochmehr != "") { // keine Verfolgung
+				echo "\n\t<tr>\n\t\t<td colspan='4'><span class='wichtig'>Weitere berechtigte Buchungen siehe Flurst&uuml;cksnachweis.</span></td>\n\t</tr>";
+			}
+		} 
+	}
+echo "\n</table>\n";
 
 ?>
Index: trunk/info/info/alkisn/alkisbestnw.php
===================================================================
--- trunk/info/info/alkisn/alkisbestnw.php	(revision 400)
+++ trunk/info/info/alkisn/alkisbestnw.php	(revision 402)
@@ -11,8 +11,8 @@
 	2017-06-08 Validierung Eingabeparameter, Farbwechsel der Tabelle je GrundstÃŒck, Feinschliff und HTML-Profilierung
 	2017-10-09 SchlÃŒssel der Blattart bei berechtigten BlÃ€ttern, sauber filtern auf endet IS NULL
+	2018-04-23 Blatt und EigentÃŒmer in eine Tabelle.
 */
 session_start();
-
-$showkey="n"; // Var. initalisieren
+$showkey="n"; $nodebug=""; // Var. initalisieren
 $cntget = extract($_GET); // Parameter in Variable umwandeln
 
@@ -22,4 +22,5 @@
 if (!preg_match('#^[j|n]{0,1}$#', $showkey)) {die ("Eingabefehler showkey");}
 if ($showkey == "j") {$showkey=true;} else {$showkey=false;}
+if (!preg_match('#^j{0,1}$#', $nodebug)) {die("Eingabefehler nodebug");}
 
 require_once("alkis_conf_location.php");
@@ -43,11 +44,14 @@
 <body>
 <?php
+// Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
+// Manuell an die URL anfÃŒgen, wirkt nur temporÃ€r und wird nicht in Links weiter gereicht.
+if ($nodebug == "j") {$debug=0;} 
+
 $con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkisbestnw.php'");
 if (!$con) echo "\n<p class='err'>Fehler beim Verbinden der DB</p>";
 
 // G R U N D B U C H
-$sql="SELECT g.gml_id, g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung AS nr, g.blattart, wb.v AS blattartv, wb.d AS blattartd, 
-b.gml_id, b.bezirk, b.bezeichnung AS beznam, d.gml_id, d.land, d.bezeichnung, d.stelle, d.stellenart, wd.v AS stellev 
-FROM ax_buchungsblatt g 
+$sql="SELECT g.gml_id, g.bezirk, g.buchungsblattnummermitbuchstabenerweiterung AS blatt, g.blattart, wb.v AS blattartv, wb.d AS blattartd, 
+b.gml_id, b.bezirk, b.bezeichnung AS beznam, d.gml_id, d.land, d.bezeichnung, d.stelle, d.stellenart, wd.v AS stellev FROM ax_buchungsblatt g 
 LEFT JOIN ax_buchungsblattbezirk b ON g.land=b.land AND g.bezirk=b.bezirk 
 LEFT JOIN ax_dienststelle d ON b.land=d.land AND b.stelle=d.stelle 
@@ -64,11 +68,14 @@
 	if ($debug > 2) {echo "\n<p class='dbg'>SQL=<br>".htmlentities($sql, ENT_QUOTES, "UTF-8")."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
-if ($row = pg_fetch_array($res)) {
+if ($row = pg_fetch_assoc($res)) {
 	$blattkey=$row["blattart"];
 	$blattart=$row["blattartv"];
-
-	echo "<p class='gbkennz'>ALKIS Bestand ".$row["bezirk"]." - ".$row["nr"]."&nbsp;</p>"; // Balken
-	echo "\n<h2><img src='ico/Grundbuch.png' width='16' height='16' alt=''> Grundbuch</h2>"
-	."\n<table class='outer'>\n<tr>\n\t<td>"; // Kennz. im Rahmen
+	$blatt=ltrim($row["blatt"], "0");
+
+	echo "<p class='gbkennz'>ALKIS Bestand ".$row["bezirk"]." - ".$blatt."&nbsp;</p>"; // Balken
+	echo "\n<h2>Grundbuch</h2>";
+	echo "\n<table class='outer'>" // Blatt UND Eigent.
+		."\n<tr>\n\t<td class='ll'><img src='ico/Grundbuch.png' width='16' height='16' alt=''> Blatt:</td>"  // outer Links
+		."\n\t<td colspan='2'>"; // Outer Mitte, Kennz. im Rahmen
 		if ($blattkey == 1000) {
 			echo "\n\t\t<table class='kennzgb' title='Bestandskennzeichen'>";
@@ -91,9 +98,9 @@
 				if ($showkey) {echo "<span class='key'>".$row["bezirk"]."</span><br>";}
 				echo htmlentities($row["beznam"], ENT_QUOTES, "UTF-8")."</td>"
-				."\n\t\t\t<td title='Grundbuch-Blatt'><span class='wichtig'>".$row["nr"]."</span></td>"
+				."\n\t\t\t<td title='Grundbuch-Blatt'><span class='wichtig'>".$blatt."</span></td>"
 			."\n\t\t</tr>"
 		."\n\t\t</table>"
 		."\n\t</td>\n\t<td>&nbsp;"
-	."\n\t</td>\n</tr>\n</table>";
+	."\n\t</td>\n</tr>";
 }
 
@@ -105,7 +112,8 @@
 	if ($n == 0) { // keine NamensNr, kein Eigentuemer
 		echo "\n<p class='err'>Keine Namensnummer gefunden.</p>"
-		."\n<p>Bezirk: ".$row["bezirk"].", Blatt: ".$row["nr"].", Blattart ".$blattkey." (".$blattart.")</p>";
-	}
-}
+		."\n<p>Bezirk: ".$row["bezirk"].", Blatt: ".$blatt.", Blattart ".$blattkey." (".$blattart.")</p>";
+	}
+}
+echo "\n</table>";
 
 // Vorab pruefen, ob der Fall "Rechte an .." vorliegt.
@@ -115,5 +123,4 @@
 // - Rechte und FlurstÃŒcke
 // - FlurstÃŒcke
-// +++ Herrschend/Dienend per "title" auf den Ãberschriften ("Rechte" / "Berechtigte GrundbÃŒcher") erlÃ€utern
 
 // GB-Blatt  <istBestandteilVon<  sh=herrschend  >an/zu>  sd=dienend
@@ -126,5 +133,5 @@
 $res=pg_execute("", $v);
 if (!$res) echo "\n<p class='err'>Fehler bei Suche nach Buchungen.</p>";
-$row=pg_fetch_array($res);
+$row=pg_fetch_assoc($res);
 $anz=$row["anzahl"];
 
@@ -132,5 +139,4 @@
 if ($anz > 0) { // auch "Rechte an"
 	echo " Rechte und Flurst&uuml;cke</h3>\n<table class='fs'>";
-
 	// zusaetzliche Kopfzeile "Rechte"
 	echo "\n<tr>" 
@@ -144,5 +150,5 @@
 		."\n\t<td>&nbsp;</td>"
 	."\n</tr>";
-} else { // keine Rechte an .., nur FlurstÃŒcke gebucht
+} else { // keine Rechte an, nur FlurstÃŒcke gebucht
 	echo " Flurst&uuml;cke</h3>\n<table class='fs'>";
 }
@@ -177,5 +183,5 @@
 $fscnt=0;
 $zpaar=false;
-while($row = pg_fetch_array($res)) { // Loop Buchungsstelle (GrundstÃŒck)
+while($row = pg_fetch_assoc($res)) { // Loop Buchungsstelle (GrundstÃŒck)
 	$lfdnr=$row["lfd"];
 	$bvnr=str_pad($lfdnr, 4, "0", STR_PAD_LEFT);
@@ -230,8 +236,8 @@
 		$a=0; // count
 		$altbvnr=""; // Gruppenwechsel
-		while($rowan= pg_fetch_array($resan)) {
+		while($rowan= pg_fetch_assoc($resan)) {
 			$lfdnran=$rowan["lfd"];	// BVNR an
 			$gml_bsan=$rowan["gml_id"];	// id der buchungsstelle an
-			$baan=$rowan["bart"];  	// Buchungsart an, entschluesselt
+			$baan=$rowan["bart"];	// Buchungsart an, entschluesselt
 			$anzu=$rowan["anzu"];	// Welche Relation? Recht an oder Recht zu ?
 
@@ -251,10 +257,10 @@
 			}
 			$b=0;
-			while($fbrow = pg_fetch_array($fbres)) { // genau 1
+			while($fbrow = pg_fetch_assoc($fbres)) { // genau 1
 				$fbgml=$fbrow["gml_id"];
 				$fbland=$fbrow["land"];
 				$fbbez=$fbrow["bezirk"];
 				$beznam=$fbrow["beznam"];
-				$fbblatt=$fbrow["blatt"];
+				$fbblatt=ltrim($fbrow["blatt"], "0");
 				$fbbartkey=$fbrow["blattart"]; // Key
 				$fbbart=$fbrow["blattartv"];  // Value
@@ -307,5 +313,4 @@
 			$aj = bnw_fsdaten($con, $lfdnran, $gml_bsan, "", $anteil, false, "", ""); // return=Anz.FS
 			$fscnt=$fscnt + $aj;
-			// +++ Gibt es Sondereigentum beim fiktiven Blatt?
 			if ($rowan["nrap"] != "") {
 				echo "\n<tr>"
@@ -375,5 +380,5 @@
 $b=0; // count: Buchungen / BlÃ€tter
 $zpaar=false;
-while($rowb = pg_fetch_array($resb)) {
+while($rowb = pg_fetch_assoc($resb)) {
 	if ($b == 0) { // Ueberschrift und Tabelle nur ausgeben, wenn etwas gefunden wurde
 		echo "\n\n<h3><img src='ico/Grundbuch_zu.png' width='16' height='16' alt=''> Berechtigte Grundb&uuml;cher</h3>"
@@ -399,4 +404,5 @@
 	$bart=$rowb["bart"];		// BA entschl.
 	$lfdnr=$rowb["lfdnr"];		// BVNR ber.
+	$blatt=ltrim($rowb["blatt"], "0");
 	$bvnr=str_pad($lfdnr, 4, "0", STR_PAD_LEFT);
 
@@ -415,5 +421,5 @@
 			echo htmlentities($rowb["beznam"], ENT_QUOTES, "UTF-8")
 		."</td>"
-		."\n\t<td><span class='wichtig'>".$rowb["blatt"]."</span></td>"
+		."\n\t<td><span class='wichtig'>".$blatt."</span></td>"
 		."\n\t<td>".$bvnr."</td>"
 		."\n\t<td title='".htmlentities($rowb["bartd"], ENT_QUOTES, "UTF-8")."'>";
Index: trunk/info/info/alkisn/alkisnamstruk.php
===================================================================
--- trunk/info/info/alkisn/alkisnamstruk.php	(revision 400)
+++ trunk/info/info/alkisn/alkisnamstruk.php	(revision 402)
@@ -12,8 +12,8 @@
 	2017-10-17 Deutsches Datumsformat im Geburtsdatum
 	2017-12-20 Anlass und Datum zur Adresse ausgeben, wenn es mehrere gibt oder SchlÃŒssel angefordert werden
+	2018-04-23 &nodebug
 */
 session_start();
-
-$multiadress="n"; $showkey="n"; // Var. aus Parameter initalisieren
+$multiadress="n"; $showkey="n"; $nodebug=""; // Var. aus Parameter initalisieren
 $cntget = extract($_GET); // Parameter in Variable umwandeln
 
@@ -24,4 +24,5 @@
 if ($showkey == "j") {$showkey=true;} else {$showkey=false;}
 if (!preg_match('#^[j|n]{0,1}$#', $multiadress)) {die ("Eingabefehler multiadress");}
+if (!preg_match('#^j{0,1}$#', $nodebug)) {die("Eingabefehler nodebug");}
 
 require_once("alkis_conf_location.php");
@@ -47,7 +48,9 @@
 
 <?php
-
-// Balken
-echo "<p class='nakennz'>ALKIS Name id=".$gmlid."&nbsp;</p>\n"
+// Mit URL-Parameter "&nodebug=j" kann man die Entwicklungsumgebung (in Conf definiert) ausschalten.
+// Manuell an die URL anfÃŒgen, wirkt nur temporÃ€r und wird nicht in Links weiter gereicht.
+if ($nodebug == "j") {$debug=0;} 
+
+echo "<p class='nakennz'>ALKIS Name id=".$gmlid."&nbsp;</p>\n" // Balken
 ."\n<h2><img src='ico/Eigentuemer.png' width='16' height='16' alt=''> Person</h2>";
 $con = pg_connect($dbconn." options='--application_name=ALKIS-Auskunft_alkisnamstruk.php'");
@@ -66,5 +69,5 @@
 	if ($debug > 2) {echo "\n<p class='dbg'>SQL=<br>".htmlentities($sql, ENT_QUOTES, "UTF-8")."<br>$1 = gml_id = '".$gmlid."'</p>";}
 }
-if ($row = pg_fetch_array($res)) {
+if ($row = pg_fetch_assoc($res)) {
 	$vor=htmlentities($row["vorname"], ENT_QUOTES, "UTF-8");
 	$nam=htmlentities($row["nachnameoderfirma"], ENT_QUOTES, "UTF-8");
@@ -108,5 +111,5 @@
 	$j=0;
 	// Parameter $multiadress = j zeigt ALLE Adressen an
-	while($rowa = pg_fetch_array($resa)) {
+	while($rowa = pg_fetch_assoc($resa)) {
 		$j++;
 		if ($multiadress == "j" OR $j == 1) {
@@ -196,5 +199,5 @@
 	$i=0;
 	$zpaar=false;
-	while($rowg = pg_fetch_array($resg)) {
+	while($rowg = pg_fetch_assoc($resg)) {
 		$gmln=$rowg["gml_n"];
 		$gmlg=$rowg["gml_g"];
